# Uses of Interface
org.apache.lucene.util.quantization.ScalarQuantizedVectorSimilarity.ByteVectorComparator

Packages that use ScalarQuantizedVectorSimilarity.ByteVectorComparator
Package
Description
org.apache.lucene.util.quantization
Provides quantization methods for scaling vector values to smaller data types and possibly fewer dimensions

- ## Uses of ScalarQuantizedVectorSimilarity.ByteVectorComparator in org.apache.lucene.util.quantization

  Constructors in org.apache.lucene.util.quantization with parameters of type ScalarQuantizedVectorSimilarity.ByteVectorComparator
  Modifier
  Constructor
  Description
  ``
  `DotProduct(float constMultiplier, ScalarQuantizedVectorSimilarity.ByteVectorComparator comparator)`
  ``
  `MaximumInnerProduct(float constMultiplier, ScalarQuantizedVectorSimilarity.ByteVectorComparator comparator)`